<div style="
max-height: 150px;
    overflow-y: auto;">
    <table>
        <tr>
            <th>Product</th>
            <th>Attribute</th>
            <th>quantity</th>
            <th>in stock</th>
        </tr>
        {% for cartProduct in item.getCartProducts %}
            <tr>
                <td>{{ cartProduct.product.reference }}</td>
                <td>{{ cartProduct.quantity }}</td>
                <td>
                    {% if cartProduct.productAttribute %}
                        {{ cartProduct.productAttribute.reference }}
                    {% endif %}
                </td>
                <td>
                    {% if cartProduct.productAttribute %}
                        {{ cartProduct.productAttribute.quantity }}
                    {% endif %}
                </td>
            </tr>
        {% endfor %}
    </table>
</div>